﻿/*
**  Imager Form Application
**
** copyright(c) 2017 株式会社トラスト・ソフトウェア・システム,All Rights Reserved.
**/

using System;
using System.Text;
using System.Text.RegularExpressions;
using System.Windows.Forms;
using Microsoft.VisualBasic;
using PDFTools.PdfImagerLP;

namespace ImagerApp
{
	public partial class Imager : Form
	{
		//文字列で最初の数値をIntegerに変換して戻す。
		private int GetLeadingInteger(string str)
		{
			Match m = (new Regex(@"\d*")).Match(str);
			if (0 < m.Value.Length) return int.Parse(m.Value);
			else return 0;
		}

		//PDF文書に記載されたページのサイズを取得し表示する。
		private void PageOrgSize(int pageNum)
		{
			int x, y;

			//ページのピクセルサイズ
			p2i.SetPictureResolution(72);
			p2i.GetPicturePixel(pageNum, out x, out y);
			pageSizeLbl.Text = "ページサイズ: " + x + ", " + y;
			pageSizeLbl.Enabled = true;

			//PDF文書に記載された境界
			BoundaryBox k;
			float l, r, t, b, u;
			if (mediaBoxRb.Checked) k = BoundaryBox.MEDIA_BOX;
			else if (cropBoxRb.Checked) k = BoundaryBox.CROP_BOX;
			else if (bleedBoxRb.Checked) k = BoundaryBox.BLEED_BOX;
			else if (trimBoxRb.Checked) k = BoundaryBox.TRIM_BOX;
			else if (artBoxRb.Checked) k = BoundaryBox.ART_BOX;
			else
			{
				mediaBoxRb.Checked = true;
				k = BoundaryBox.MEDIA_BOX;
			}
			p2i.GetPageBoundary(pageNum, k, out u, out l, out b, out r, out t);
			pageBoundsLbl.Text = "ページ境界: (" + l + ", " + b + ")-(" + r + ", " + t + ") "+ u;
			pageBoundsLbl.Enabled = true;
		}

		//指定された解像度でのサイズ(キャンバスサイズではない)
		private void PagePictSize(int pageNum)
		{
			int r, x, y;
			if (pageNum < 1) pageNum = 1;
			else if (pageCount < pageNum) pageNum = pageCount;
			r = int.Parse(dpiTxt.Text);
			if (r < 10)
			{
				dpiTxt.Text = "10";
				r = 10;
			}
			p2i.SetPictureResolution(r);
			p2i.GetPicturePixel(pageNum, out x, out y);
			canvasXSizeTxt.Text = x.ToString();
			canvasYSizeTxt.Text = y.ToString();
		}
	}
}
