﻿'
' Image-LP アプリケーション
'
'Copyright(c)2014-2018 株式会社トラスト・ソフトウェア・システム, All Rights Reserved.

Imports PDFTools.PdfImagerLP

Module Imager

    Sub Main()
        Dim p2i As PdfImager
        Dim res As Long

        '初期化
        p2i = New PdfImager
        res = p2i.Initialize("0-W0H6-7H5GKW7E336R")  '適切なライセンスキーに替えてください。
        Select Case res
            Case 0
                GoTo NextProc
            Case err.MLP_ALREADY_INITIALIZED
                Console.WriteLine("既に初期化されています")
            Case err.MLP_NOT_INITIALIZED
                Console.WriteLine("初期化できませんでした")
            Case err.MLP_LICENSE_ERROR
                Console.WriteLine("不正なライセンスです")
            Case Else
                Console.WriteLine("初期化失敗")
        End Select
        Exit Sub

NextProc:
        '開く
        res = p2i.OpenDoc("t2u.pdf", "", "")
        If res <> 0 Then
            Console.WriteLine("開けません")
            GoTo EndProc
            Exit Sub
        End If

        'ページ数
        Console.WriteLine("ページの総数は{0}です。", p2i.PageCount())

        'ページサイズ
        Dim x, y As Long
        p2i.SetPicture(PictureOpt.RESOLUTION_DPI, 72)
        p2i.GetPicturePixel(1, x, y)
        Console.WriteLine("ページサイズ (x,y)=({0},{1})", x, y)

        'コールバック
        p2i.SetCallbackFunc(CallbackMode.MLP_RENDERING_CB, 0, New DelegateRendering(AddressOf Rendering_cb))
        p2i.SetCallbackFunc(CallbackMode.MLP_PROGRESS_CB, 100, New DelegateProgress(AddressOf Progress_cb))

        'TIFF画像に変換
        res = p2i.ConvertToTiff("out.tiff")
        If res <> 0 Then
            Console.WriteLine("画像変換失敗")
            GoTo EndProc
            Exit Sub
        End If

        '後始末
EndProc:
        p2i.Uninitialize()
    End Sub

    Public Sub Rendering_cb(ByVal pageNum As Integer)
        Console.WriteLine("{0}を変換", pageNum)
    End Sub

    Public Sub Progress_cb(ByVal lines As Integer, ByVal totalLines As Integer)
        Console.WriteLine("{0}/{1}行を変換した。", lines, totalLines)
    End Sub

End Module
